import Carousel from "./carousel/LiCarousel";
import CarItem from "./carousel/CarItem"
import Img from "./carousel/liImg";
import Magnifying from "./magnifying/LiMagnifying"
import DMagnifying from "./magnifying/DMagnifying";
import Selector from "./selector/LiSelector"
import Spin from "./spin/LiSpin"
import BackTop from "./backTop/LiBackTop"
import Button from "./button/LiButton"
import Menu from "./menu/LiMenu";
import MenuSub from "./menu/LiMenuSub";
import MenuItem from "./menu/LiMenuItem";
import Code from "./codeShow/LiCode";
import Table from "./table/LiTable";

import Tools from "./utils/tools"

const LiTools ={}
LiTools.install = function (vue) {
    vue.config.globalProperties.LiTools = Tools
}

const LiCarousel = {}
LiCarousel.install = function (vue) {
    vue.component(Carousel.name,Carousel)
    vue.component(CarItem.name,CarItem)
    vue.component(Img.name,Img)
}

const LiMagnifying ={}
LiMagnifying.install = function (vue) {
    vue.component(Magnifying.name,Magnifying)
    vue.component(DMagnifying.name,DMagnifying)
}

const LiSelector ={}
LiSelector.install = function (vue) {
    vue.component(Selector.name,Selector)
}

const LiSpin ={}
LiSpin.install = function (vue) {
    vue.component(Spin.name,Spin)
}

const LiBackTop ={}
LiBackTop.install = function (vue) {
    vue.component(BackTop.name,BackTop)
}

const LiButton ={}
LiButton.install = function (vue) {
    vue.component(Button.name,Button)
}

const LiMenu ={}
LiMenu.install = function (vue) {
    vue.component(Menu.name,Menu)
    vue.component(MenuSub.name,MenuSub)
    vue.component(MenuItem.name,MenuItem)
}

const LiCode ={}
LiCode.install = function (vue) {
    vue.component(Code.name,Code)
}

const LiTable ={}
LiTable.install = function (vue) {
    vue.component(Table.name,Table)
}

const LiUI = {};
LiUI.install = function (vue) {
    //carousel
    vue.component(Carousel.name,Carousel)
    vue.component(CarItem.name,CarItem)
    vue.component(Img.name,Img)
    //magnify
    vue.component(Magnifying.name,Magnifying)
    //magnify-directive
    vue.component(DMagnifying.name,DMagnifying)
    //selector
    vue.component(Selector.name,Selector)
    //spin
    vue.component(Spin.name,Spin)
    //backTop
    vue.component(BackTop.name,BackTop)
    //button
    vue.component(Button.name,Button)
    //menu
    vue.component(Menu.name,Menu)
    vue.component(MenuSub.name,MenuSub)
    vue.component(MenuItem.name,MenuItem)
    //codeShow
    vue.component(Code.name,Code)
    //table
    vue.component(Table.name,Table)


    vue.config.globalProperties.LiTools = Tools
}


export default LiUI;
export {
    LiCarousel,
    LiMagnifying,
    LiSelector,
    LiSpin,
    LiMenu,
    LiButton,
    LiBackTop,
    LiCode,
    LiTable,
    LiTools
}